Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
st_table Struct Reference

`#include <st.h>`

## Data Fields
struct st_hash_type * | type
st_index_t | num_bins
unsigned int | entries_packed: 1
st_index_t | num_entries: ST_INDEX_BITS - 1
union {
struct {
struct st_table_entry ** bins
struct st_table_entry * head
struct st_table_entry * tail
} big
struct {
struct st_packed_entry * entries
st_index_t real_entries
} packed
} | as
union {
struct {
struct st_table_entry ** bins
struct st_table_entry * head
struct st_table_entry * tail
} big
struct {
struct st_packed_entry * entries
st_index_t real_entries
} packed
} | as

## Detailed Description

Definition at line 77 of file ripper.y.

## Field Documentation

union { ... } st_table::as

Referenced by rb_ivar_set(), and unpack_entries().

union { ... } st_table::as

struct { ... } st_table::big

struct { ... } st_table::big

struct st_table_entry** st_table::bins

Definition at line 96 of file ripper.y.

Referenced by find_entry(), new_entry(), rehash(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), st_free_table(), st_init_table_with_size(), st_update(), and unpack_entries().

struct st_packed_entry* st_table::entries

Definition at line 100 of file ripper.y.

unsigned int st_table::entries_packed

Definition at line 80 of file ripper.y.

Referenced by st_add_direct(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), st_get_key(), st_init_table_with_size(), st_insert(), st_insert2(), st_lookup(), st_memsize(), st_update(), and unpack_entries().

struct st_table_entry* st_table::head

Definition at line 97 of file ripper.y.

Referenced by add_direct(), rehash(), remove_entry(), st_clear(), st_copy(), st_foreach(), st_foreach_check(), st_init_table_with_size(), and unpack_entries().

st_index_t st_table::num_bins

Definition at line 79 of file ripper.y.

Referenced by add_direct(), add_packed_direct(), rehash(), st_add_direct(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), st_free_table(), st_get_key(), st_init_table_with_size(), st_lookup(), st_memsize(), st_update(), and unpack_entries().

st_index_t st_table::num_entries

Definition at line 93 of file ripper.y.

Referenced by add_direct(), add_packed_direct(), autoload_delete(), cvar_list(), generic_ivar_remove(), mark_tbl(), onig_number_of_names(), r_prepare(), r_symreal(), rb_check_deadlock(), rb_const_list(), rb_copy_generic_ivar(), rb_econv_asciicompat_encoding(), rb_ivar_count(), rb_ivar_set(), rb_sym_all_symbols(), remove_entry(), remove_packed_entry(), remove_safe_packed_entry(), st_cleanup_safe(), st_clear(), st_init_table_with_size(), st_memsize(), vm_living_thread_num(), w_ivar(), w_object(), and w_symbol().

struct { ... } st_table::packed

Referenced by unpack_entries().

struct { ... } st_table::packed

st_index_t st_table::real_entries

Definition at line 101 of file ripper.y.

Referenced by add_packed_direct(), remove_packed_entry(), st_cleanup_safe(), st_clear(), st_foreach(), and st_foreach_check().

struct st_table_entry * st_table::tail

Definition at line 97 of file ripper.y.

Referenced by add_direct(), remove_entry(), st_clear(), st_copy(), st_init_table_with_size(), and unpack_entries().

struct st_hash_type * st_table::type

Definition at line 78 of file ripper.y.

Referenced by NOINSERT_UPDATE_CALLBACK(), and st_init_table_with_size().

The documentation for this struct was generated from the following file:

- include/ruby/st.h